_ocsd_pkt_vaddr Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types.h>`

## Public Attributes

ocsd_pkt_va_size | size
ocsd_vaddr_t | val
uint8_t | pkt_bits
uint8_t | valid_bits

## Detailed Description

Definition at line 58 of file trc_pkt_types.h.

## Member Data Documentation

## pkt_bits

uint8_t _ocsd_pkt_vaddr::pkt_bits

Bits updated this packet

Definition at line 62 of file trc_pkt_types.h.

## size

ocsd_pkt_va_size _ocsd_pkt_vaddr::size

Virtual address size.

Definition at line 60 of file trc_pkt_types.h.

## val

ocsd_vaddr_t _ocsd_pkt_vaddr::val

Current value

Definition at line 61 of file trc_pkt_types.h.

## valid_bits

uint8_t _ocsd_pkt_vaddr::valid_bits

Currently valid bits

Definition at line 63 of file trc_pkt_types.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/opencsd/trc_pkt_types.h